Subject: Re: bug#46151: 28.0.50; Set revert-buffer-function in shell command output buffers

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 01 Feb 2021 09:49:46 +0100

Sean Whitton <[email-masked]> writes:

> So we're talking about switching the major-mode at the point the command
> exits, which seems like it could cause frustration -- imagine the
> command finishes up just while you're typing into the buffer and you
> happen to type 'g' ...

Yeah, that wouldn't be good.

> Thinking more, I think my C-c C-r solution is the one I prefer; anyone
> else in favour of that?

I think a global `revert-buffer' binding is the way to go.  How to
reload a file is something that comes up all the time, so I think it is
high time it got bound.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no